---
- hosts: firas
  become: true
  gather_facts: no
  tasks:
    - name: Install aptitude using apt
      apt: name=aptitude state=latest update_cache=yes force_apt_get=yes
   
    - name: Install required system packages
      apt: name={{ item }} state=latest update_cache=yes
      loop: [ 'apt-transport-https', 'ca-certificates', 'curl', 'software-properties-common', 'python3', 'python3-pip', 'virtualenv', 'python3-setuptools']
    - name: install docker-py
      shell: "curl -sSL https://get.docker.com/ | sh" 
    
    - name: install docker-py
      shell: "pip3 install docker-py"

    - name: install docker-py
      shell: "docker image rm -f registry.gitlab.com/moheddine.hamila/symfony"

    - name: Pull Docker image
      docker_image:
       name: registry.gitlab.com/firasgazzah/e-comerceback
       source: pull
    
    - name: run container
      docker_container:
        image: registry.gitlab.com/moheddine.hamila/symfony
        ports: 8800:8800
        recreate: yes
        name: symfony
        state: started
